Skip to main content
GET
/
public
/
v2
/
classifications
List Classifications
curl --request GET \
  --url https://api.dualentry.com/public/v2/classifications/ \
  --header 'X-API-KEY: <api-key>'
{
  "items": [
    {
      "id": 123,
      "selections": [
        {
          "id": 123,
          "name": "<string>",
          "is_active": true,
          "parent_id": 123,
          "parent_name": "<string>"
        }
      ],
      "required_for_records": [],
      "parent_id": 123,
      "parent_name": "<string>",
      "name": "<string>",
      "created_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "updated_by": {
        "actor_type": "<string>",
        "email": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "is_active": true
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

search
string | null
id
integer[] | null
name
string | null
is_active
boolean | null
is_required
boolean | null
ordering
string | null
default:-updated_at
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

200 - application/json

OK

items
PublicClassificationSchemaOut · object[]
required
count
integer
required
Last modified on May 29, 2026